#
# spec file for package mcelog (Version 0.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mcelog
License:        GPL v2 or later
Summary:        Log Machine Check Events
Version:        0.7
Release:        2.22.27
AutoReqProv:    on
Source:         mcelog-%{version}.tar.gz
Patch0:         mcelog-0.7-newcpus-1.diff
Patch1:         nehalem_fix_decoding_bugs.patch
Patch2:         nehalem_fix_decoder_bugs_2.patch
Patch3:         tulsa_support.patch
Patch4:         mcelog-thermal
Patch5:         amd-fam10
Patch6:         fix_wrong_dunnington_ECC_tables.patch
Patch7:         fix_wrong_dunnington_specific_encoding.patch
Patch8:         tulsa_specific_fixes.patch
Patch9:         mcelog_westmere_support.patch
Patch10:        mcelog_sandybridge_decode_support.patch
Group:          System/Monitoring
ExclusiveArch:  x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mcelog retrieves machine check events from an x86-64 kernel in a cron
job, decodes them, and logs them to /var/log/mcelog.

A machine check event is a hardware error detected by the CPU.

It should run on any x86-64 system.

In addition, it allows decoding machine check kernel panic messages.



Authors:
--------
    Andi Kleen <ak@suse.de>

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install 
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
cp  mcelog $RPM_BUILD_ROOT/usr/sbin
cp  mcelog.cron $RPM_BUILD_ROOT/etc/cron.hourly/mcelog
cp  mcelog.8 $RPM_BUILD_ROOT/%{_mandir}/man8
cp  mcelog.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/mcelog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,755)
%{_mandir}/man8/*
/usr/sbin/mcelog
/etc/cron.hourly/mcelog
/etc/logrotate.d/mcelog

%changelog
* Wed Oct 20 2010 trenn@suse.de
- Really add Sandybridge support (bnc#647643)
* Tue Aug 24 2010 trenn@suse.de
- Add Westmere and Sandybridge support
  (fate#310079 and bnc#629829)
* Mon Sep  7 2009 trenn@suse.de
- Fix tulsa and dunnington bits (bnc#458046)
* Fri May 22 2009 ro@suse.de
- buildfix: added exclusivearch
* Tue May 19 2009 trenn@suse.de
- Add Tulsa support.
  Enable K10/Greyhound parsing. Patch was already added, but was
  forgotten to be activated in the %%prep section.
  bnc#458046, FATE#305554
* Tue Jan 23 2007 ak@suse.de
- add support for AMD Family 10 CPUs (#236673)
* Mon May 29 2006 ak@suse.de
- decode intel thermal events too (#179327)
* Fri May  5 2006 ak@suse.de
- Update to 0.7.  This fixes
  - Fix --dmi option (#166324)
  - Incorporate old patches
* Fri Mar  3 2006 ak@suse.de
- Avoid cosmetic problem in --filter (#153347)
* Wed Feb  8 2006 ak@suse.de
- update to mcelog 0.6
  * Fixes bugs (#148869, #137985)
  * Adds --dmi option to map addresses to DIMMs using SMBIOS
    (default to off)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 sf@suse.de
- update to version 0.5
  * Clarify --ascii in the manpage
  * Support for AMD K8 Revision F machine check DRAM error
  thresholding
* Fri Feb 11 2005 ak@suse.de
- Use RPM_OPT_FLAGS
- Improve description again
* Thu Feb 10 2005 ak@suse.de
- mcelog-0.4:
  * add support to decode AMD K8 (Opteron/Athlon64/AthlonFX) and
    Intel P4 (Xeon and Pentium 4) events
  * add --ascii option to decode machine check panic information
- Rewrite description in .spec file
* Wed Jun  9 2004 ak@suse.de
- memlog-0.2:
  * fix mcelog looping (#41863)
  * Add GPL notices
* Thu Mar 25 2004 sf@suse.de
- initial version
- fixes #36898
